libzypp 17.37.10

zypp::xmlout::NodeAttr Class Reference

(Key, Value) string pair of XML node attributes More...

`#include <zypp-core/base/Xml.h>`

Inheritance diagram for zypp::xmlout::NodeAttr:

## Public Types
using | Pair = std::pair<std::string, std::string>

## Public Member Functions
template<typename Tp>
| NodeAttr (std::string key_r, const Tp &val_r)
| NodeAttr (std::string key_r, std::string val_r)

## Related Symbols
(Note that these are not member symbols.)
template<class Tp>
std::string | asXmlNodeAttr (const Tp &val_r)
| NODE ATTRIBUTE representation of types [asString].

## Detailed Description

(Key, Value) string pair of XML node attributes

Definition at line 43 of file Xml.h.

## Member Typedef Documentation

## ◆ Pair

using zypp::xmlout::NodeAttr::Pair = std::pair<std::string, std::string>

Definition at line 45 of file Xml.h.

## Constructor & Destructor Documentation

## ◆ NodeAttr() [1/2]

template<typename Tp>

zypp::xmlout::NodeAttr::NodeAttr | ( | std::string | key_r,
|  | const Tp & | val_r )
| inline

Definition at line 48 of file Xml.h.

## ◆ NodeAttr() [2/2]

zypp::xmlout::NodeAttr::NodeAttr | ( | std::string | key_r,
|  | std::string | val_r )
| inline

Definition at line 52 of file Xml.h.

## Friends And Related Symbol Documentation

## ◆ asXmlNodeAttr()

template<class Tp>

std::string asXmlNodeAttr | ( | const Tp & | val_r | ) |
| related

NODE ATTRIBUTE representation of types [asString].

Definition at line 37 of file Xml.h.

The documentation for this class was generated from the following file:

- zypp-core/base/Xml.h